customDashboardRecipients
Users in the company who can receive a dashboard copy
customDashboardRecipients(
companyId: ID!
search: String
page: Int = 1
limit: Int = 20
): CustomDashboardRecipientPaginatedCollection!
Arguments
customDashboardRecipients.companyId ● ID! non-null scalar
customDashboardRecipients.search ● String scalar
customDashboardRecipients.page ● Int scalar
customDashboardRecipients.limit ● Int scalar
Type
CustomDashboardRecipientPaginatedCollection object
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetCustomDashboardRecipients($companyId: ID!) {\n customDashboardRecipients(companyId: $companyId) { collection { id name email } metadata { currentPage limitValue totalCount } }\n}","variables":{"companyId":"<company_id>"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetCustomDashboardRecipients($companyId: ID!) {\n customDashboardRecipients(companyId: $companyId) { collection { id name email } metadata { currentPage limitValue totalCount } }\n}",
variables: {
"companyId": "<company_id>"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetCustomDashboardRecipients($companyId: ID!) {\n customDashboardRecipients(companyId: $companyId) { collection { id name email } metadata { currentPage limitValue totalCount } }\n}",
'variables': json.loads("{\"companyId\":\"<company_id>\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute